import 'package:flutter/material.dart';
import 'package:easy_router/easy_route.dart';


void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      initialRoute: EasyRouter.HOME,
      onGenerateRoute: EasyRouter.onGenerateRoute((_) => HomeScreen()),
    );
  }
}


class HomeScreen extends StatelessWidget implements EasyRoute {
  static const ROUTE = EasyRouter.HOME;

  @override
  String get route => ROUTE;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: InkWell(
          onTap: () => EasyRouter.pushNamed(context, AnotherScreen()),
          child: Text("Home Screen"),
        ),
      ),
    );
  }
}


class AnotherScreen extends StatelessWidget implements EasyRoute {
  static const ROUTE = HomeScreen.ROUTE+'list/';

  @override
  String get route => ROUTE;

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Colors.white,
      child: Center(
        child: InkWell(
          onTap: () => EasyRouter.pop(context),
          child: Text("Another Screen"),
        ),
      ),
    );
  }
}